MLEB Web Framework - Feature #10146

Dirty check on the screen modified
06 January 2021 05:23 PM - chok yee fan

Status: Resolved Start date: 06 January 2021
Priority: Normal Due date:

Assignee: chok yee fan % Done: 0%

Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

After modify the screen and leave without save or cancel prompt the confirmation alert to warn the user.

Could google search for "dirty check"

History

#1 - 07 January 2021 10:06 AM - chok yee fan

might can explore the package
https://www.npmjs.com/package/angular-dirty-check

#2 - 15 January 2021 02:52 PM - admin Admin

- Assignee changed from chok yee fan to Kee Yong Cheng

#3 - 20 January 2021 02:38 PM - Kee Yong Cheng
- Status changed from New to Resolved

- Assignee changed from Kee Yong Cheng to chok yee fan

Revision: 202929

Author: intkeeyc

Date: Wednesday, January 20, 2021 2:21:55 PM

Message:

Kee Yong Cheng: Dirty check on the screen modified using dirty-check.guard, remove check-save.guard and remove duplicate ant-design
Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country-detail/country-detail.component.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/survey/survey-routing.module.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/survey/survey.component.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/public/login/login.component.ts

Deleted : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/guard/check-save.guard.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/guard/dirty-check.guard.ts

Modified :
/S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/layout/ant-design-side-layout/ant-design-side-layout-routing.module.ts
Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/layout/mleb-side-layout/mleb-side-layout-routing.module.ts
Deleted : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/layout-ant

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/assets/i18n/en.json

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/assets/i18n/my.json
